Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TargaSaver Class Reference

Targaセーバ. More...

`#include <TargaSaver.h>`

List of all members.

## Public Member Functions
| TargaSaver ()
| コンストラクタ
virtual | ~TargaSaver ()
| デストラクタ
virtual void | save (BinaryWriter *writer, const DimensionI &size, const Color3c *colors)
| セーブ
virtual void | save (BinaryWriter *writer, const DimensionI &size, const Color4c *colors)
| セーブ
virtual void | save (BinaryWriter *writer, int width, int height, const Color3c *colors)
| セーブ
virtual void | save (BinaryWriter *writer, int width, int height, const Color4c *colors)
| セーブ
virtual void | save (const String &filePath, const DimensionI &size, const Color3c *colors)
| セーブ
virtual void | save (const String &filePath, const DimensionI &size, const Color4c *colors)
| セーブ
virtual void | save (const String &filePath, int width, int height, const Color3c *colors)
| セーブ
virtual void | save (const String &filePath, int width, int height, const Color4c *colors)
| セーブ
## Protected Member Functions
virtual void | writeHeader (bool hasAlpha)
| ヘッダの書き出し
virtual void | writeFooter ()
| フッタの書き出し

## Detailed Description

Targaセーバ.

パレット化されていない非圧縮Targaセーバ

Definition at line 38 of file TargaSaver.h.

## Member Function Documentation

void Lamp::TargaSaver::save | ( | const String & | filePath,
|  | int | width,
|  | int | height,
|  | const Color4c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  width | 幅
  height | 高さ
  colors | 書き出す色配列
Definition at line 140 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | const String & | filePath,
|  | int | width,
|  | int | height,
|  | const Color3c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  width | 幅
  height | 高さ
  colors | 書き出す色配列
Definition at line 132 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | const String & | filePath,
|  | const DimensionI & | size,
|  | const Color4c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  size | サイズ
  colors | 書き出す色配列
Definition at line 124 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | const String & | filePath,
|  | const DimensionI & | size,
|  | const Color3c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  size | サイズ
  colors | 書き出す色配列
Definition at line 116 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | BinaryWriter * | writer,
|  | int | width,
|  | int | height,
|  | const Color4c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  writer | バイナリライタ
  width | 幅
  height | 高さ
  colors | 書き出す色配列
Definition at line 110 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | BinaryWriter * | writer,
|  | int | width,
|  | int | height,
|  | const Color3c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  writer | バイナリライタ
  width | 幅
  height | 高さ
  colors | 書き出す色配列
Definition at line 104 of file TargaSaver.cpp. References save().

void Lamp::TargaSaver::save | ( | BinaryWriter * | writer,
|  | const DimensionI & | size,
|  | const Color4c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  writer | バイナリライタ
  size | サイズ
  colors | 書き出す色配列
Definition at line 73 of file TargaSaver.cpp. References Lamp::Color4c::a, Lamp::Color4c::b, Lamp::Color4c::g, Lamp::DimensionI::height, Lamp::Color4c::r, u_char, Lamp::DimensionI::width, Lamp::Writer::writeBytes(), writeFooter(), and writeHeader().

void Lamp::TargaSaver::save | ( | BinaryWriter * | writer,
|  | const DimensionI & | size,
|  | const Color3c * | colors
| ) | `[virtual]`

  | セーブ Parameters:
  writer | バイナリライタ
  size | サイズ
  colors | 書き出す色配列
Definition at line 44 of file TargaSaver.cpp. References Lamp::Color3c::b, Lamp::Color3c::g, Lamp::DimensionI::height, Lamp::Color3c::r, u_char, Lamp::DimensionI::width, Lamp::Writer::writeBytes(), writeFooter(), and writeHeader(). Referenced by save(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

void Lamp::TargaSaver::writeHeader | ( | bool | hasAlpha | ) | `[protected, virtual]`

  | ヘッダの書き出し Parameters:
  hasAlpha | アルファを持つならtrue
Definition at line 148 of file TargaSaver.cpp. References Lamp::DimensionI::height, Lamp::DimensionI::width, Lamp::BinaryWriter::writeShort(), and Lamp::BinaryWriter::writeUChar(). Referenced by save().

The documentation for this class was generated from the following files:

- TargaSaver.h
- TargaSaver.cpp